/* ACCORDIONS */

.accordion-button:not(.collapsed) {
    background-color: var(--bs-gray-200) !important;
    color: var(--bs-gray-800) !important;
}

.accordion-button:focus {
    box-shadow: none !important;
}

.accordion-button.without-icon {
    cursor: default !important;
}

.accordion-button.without-icon::after {
    display: none !important;
}

/* LAST ITEM */

.list-group-item-gray-100 {
    background-color: var(--bs-gray-100) !important;
}

.card-body.list-group.list-group-flush .list-group-item:last-child,
.card-body.list-group.list-group-flush .list-group-item:nth-last-child(1 of :not(.d-none)),
.card-body.accordion.accordion-flush .accordion-item:last-child,
.card-body.accordion.accordion-flush .accordion-item:nth-last-child(1 of :not(.d-none)),
.card-body.accordion.accordion-flush .accordion-item:last-child .accordion-collapse:last-child,
.card-body.accordion.accordion-flush .accordion-item:last-child .accordion-collapse:nth-last-child(1 of :not(.d-none)),
.card-body.accordion.accordion-flush .accordion-item:last-child .accordion-collapse:last-child .accordion-body.list-group .list-group-item:last-child,
.card-body.accordion.accordion-flush .accordion-item:last-child .accordion-collapse:last-child .accordion-body.list-group .list-group-item:nth-last-child(1 of :not(.d-none)) {
    border-bottom-left-radius: calc(var(--bs-border-radius) - var(--bs-border-width)) !important;
    border-bottom-right-radius: calc(var(--bs-border-radius) - var(--bs-border-width)) !important;
}

.card > .card-body.list-group > .list-group-item:has(+ .list-group-item.d-none),
.card > .card-body.list-group > .list-group-item.d-none {
    border-bottom: 0 !important;
}

.card > .card-body.list-group:has(+ .card-footer.d-none)  {
    border-bottom: 0 !important;
}

.card > .card-header:has(+ .card-body.d-none):not(:has(~ div:not(.d-none))),
.card > .card-header:has(+ .card-body[style*="display: none"]):not(:has(~ div:not([style*="display: none"]))) {
    border-bottom: 0 !important;
}